Get a credit
GET
/credits/{id}
const url = 'https://apisandbox.puurk.com/credits/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://apisandbox.puurk.com/credits/example \ --header 'Authorization: Bearer <token>'Returns a single credit
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ID of the credit
Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
id
string
oid
Organization ID
string
name
string
description
string
default_amount
Default credit amount in cents
integer
max_amount
Maximum credit amount in cents
integer
default_percentage
number
max_percentage
number
Examplegenerated
{ "id": "example", "oid": "example", "name": "example", "description": "example", "default_amount": 1, "max_amount": 1, "default_percentage": 1, "max_percentage": 1}Unauthorized
Not found